<!doctype html>
<html lang="en">
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

		<title>PhD Day 2023 - Antoine Stevan</title>

		<link rel="stylesheet" href="dist/reset.css">
		<link rel="stylesheet" href="dist/reveal.css">
		<link rel="stylesheet" href="dist/theme/black.css">

		<!-- Theme used for syntax highlighted code -->
		<link rel="stylesheet" href="plugin/highlight/monokai.css">
		<style>
			.reveal .footer {
				position: absolute;
				z-index: 10000;
				bottom: 1em;
				left: 1em;
				font-size: 0.5em;
			}
		</style>
	</head>
	<body>
		<div class="reveal">
			<div class="slides">
				<section>
					<h1>Dragoon</h1>
					Verifiable data sharing on Peer To Peer (p2p) networks.
					
					<br><br><br><br><br>
					<i><small>Antoine Stevan, Jerome Lacan, Jonathan Detchart, Tanguy Perennou</small></i>
				</section>

				<section data-background="#440000">
					<section>
						<h2>A bit of Background on P2P networks and ZK-Proofs</h2>
					</section>
					<section>
						<h3>a P2P network you said? a ZK-proof???</h3>
						<div class="tenor-gif-embed" data-postid="17243185" data-share-method="host" data-aspect-ratio="1.75824" data-width="100%">
								<a href="https://tenor.com/view/elmo-sesame-street-shrug-idk-i-have-no-idea-gif-17243185">Elmo Sesame Street GIF</a>from <a href="https://tenor.com/search/elmo-gifs">Elmo GIFs</a>
						</div>
					</section>
					<section>
						<h3>a p2p network here is...</h3>
						<ul>
							<li class="fragment">Distributed</li>
							<li class="fragment">Without trust to peers</li>
							<li class="fragment">Based on data content</li>
						</ul>
						<br>
						<span class="fragment">
							<img src="https://ipfs.io/ipfs/QmQqzMTavQgT4f4T5v6PWBp7XNKtoPmC9jvn12WPT3gkSE" height=10% caption="tse" align="center">
							<br>
							<small>(<code>QmQqzMTavQgT4f4T5v6PWBp7XNKtoPmC9jvn12WPT3gkSE</code> on IPFS)</small>
						</span>
					</section>
					<section>
						<h3>a ZK proof...</h3>
						<ul>
							<li class="fragment">Uses <b>cryptographic objects and assumptions</b></li>
							<li class="fragment">Prover <b>crafts a prove</b> that a verifier verifies</li>
							<li class="fragment"><b>No need to reveal any information</b> other than the claim</li>
						</ul>
					</section>
				</section>

				<section data-background="#660000">
					<section>
						<h2>Setup and baseline</h2>
					</section>
					<section data-transition="fade">
						<h3>Setup: Reed-Solomon encoding</h3>
						<img class="fragment" src="figures/rse.1.png" caption="rse.1" align="center">
					</section>
					<section data-transition="fade">
						<h3>Setup: Reed-Solomon encoding</h3>
						<img src="figures/rse.2.png" caption="rse.2" align="center">
					</section>
					<section data-transition="fade">
						<h3>Setup: Reed-Solomon encoding</h3>
						<img src="figures/rse.3.png" caption="rse.3" align="center">
					</section>
					<section data-transition="fade">
						<h3>Setup: Reed-Solomon encoding</h3>
						<img src="figures/rse.4.png" caption="rse.4" align="center">
					</section>
					<section data-transition="fade">
						<h3>Setup: Reed-Solomon encoding</h3>
						<img src="figures/rse.5.png" caption="rse.5" align="center">
					</section>
					<section data-transition="fade">
						<h3>Setup: Reed-Solomon encoding</h3>
						<img src="figures/rse.6.png" caption="rse.20" align="center">
					</section>
					<section data-transition="fade">
						<h3>Setup: Reed-Solomon encoding</h3>
						<img src="figures/rse.7.png" caption="rse.7" align="center">
					</section>
					<section data-transition="fade">
						<h3>Setup: Reed-Solomon encoding</h3>
						<img src="figures/rse.8.png" caption="rse.8" align="center">
					</section>
					<section data-transition="fade">
						<h3>Setup: Reed-Solomon encoding</h3>
						<img src="figures/rse.9.png" caption="rse.9" align="center">
					</section>
					<section data-transition="fade">
						<h3>Setup: Reed-Solomon encoding</h3>
						<img src="figures/rse.10.png" caption="rse.10" align="center">
					</section>
					<section data-transition="fade">
						<h3>Setup: Reed-Solomon encoding</h3>
						<img src="figures/rse.11.png" caption="rse.11" align="center">
					</section>
					<section data-transition="fade">
						<h3>Baseline: Merkle Tree Proofs</h3>
						<img class="fragment" src="figures/merkle.1.png" caption="merkle.1" align="center">
					</section>
					<section data-transition="fade">
						<h3>Baseline: Merkle Tree Proofs</h3>
						<img src="figures/merkle.2.png" caption="merkle.2" align="center">
					</section>
					<section data-transition="fade">
						<h3>Baseline: Merkle Tree Proofs</h3>
						<img src="figures/merkle.3.png" caption="merkle.3" align="center">
					</section>
					<section data-transition="fade">
						<h3>Baseline: Merkle Tree Proofs</h3>
						<img src="figures/merkle.4.png" caption="merkle.4" align="center">
					</section>
					<section data-transition="fade">
						<h3>Baseline: Merkle Tree Proofs</h3>
						<img src="figures/merkle.5.png" caption="merkle.5" align="center">
					</section>
					<section data-transition="fade">
						<h3>Baseline: Merkle Tree Proofs</h3>
						<img src="figures/merkle.6.png" caption="merkle.6" align="center">
					</section>
					<section data-transition="fade">
						<h3>Baseline: Merkle Tree Proofs</h3>
						<img src="figures/merkle.7.png" caption="merkle.7" align="center">
					</section>
					<section data-transition="fade">
						<h3>Baseline: Merkle Tree Proofs</h3>
						<img src="figures/merkle.8.png" caption="merkle.8" align="center">
					</section>
					<section data-transition="fade">
						<h3>Baseline: Merkle Tree Proofs</h3>
						<img src="figures/merkle.9.png" caption="merkle.9" align="center">
					</section>
					<section data-transition="fade">
						<h3>Baseline: Merkle Tree Proofs</h3>
						<img src="figures/merkle.10.png" caption="merkle.10" align="center">
					</section>
					<section data-transition="fade">
						<h3>Baseline: Merkle Tree Proofs</h3>
						<img src="figures/merkle.11.png" caption="merkle.11" align="center">
					</section>
				</section>

				<section data-background="#880000">
					<section>
						<h2>Perspective and future work</h2>
					</section>
					<section>
						<ul>
							<li>Compare <b>polynomial commitment schemes</b> in performance benchmarks</li>
							<li class="fragment">Adapt the proof systems to <b>sharing data on distributed networks</b></li>
							<li class="fragment">Propose a <b>fully-features product</b></li>
						</ul>
					</section>
				</section>
				<section>
					<h2>The End</h2>
				</section>
			</div>

			<div class='footer'>
				<b>ISAE-Supaero</b>: <a href="mailto:antoine.stevan@isae-supaero.fr">antoine.stevan@isae-supaero.fr</a>
			</div>
		</div>

		<script src="dist/reveal.js"></script>
		<script src="plugin/notes/notes.js"></script>
		<script src="plugin/markdown/markdown.js"></script>
		<script src="plugin/highlight/highlight.js"></script>
		<script>
			// More info about initialization & config:
			// - https://revealjs.com/initialization/
			// - https://revealjs.com/config/
			Reveal.initialize({
				hash: true,
				slideNumber: true,

				// Learn about plugins: https://revealjs.com/plugins/
				plugins: [ RevealMarkdown, RevealHighlight, RevealNotes ]
			});
		</script>

		<script type="text/javascript" async src="https://tenor.com/embed.js"></script>
	</body>
</html>
